# Commandline Application - 4xslt

#### command-line tool for performing XSLT transformations on XMLdocuments

> 4XSLT command-line application

## Usage

    4xslt
    [--help] [--version] [--validate] [--ignore]
    [--media=<MEDIA>] [--define=<NAME=VALUE>]
    [--prefix=<PREFIX=NSURI>] [--alt-sty-path=<PATH>]
    [--alt-sty-uri=<URI>] [--outfile=<FILE>]
    [--stacktrace-on-error] [--noxinclude] [--trace]
    [--trace-file=<FILE>] [[--reflex] | [--compile] |
    [--instant] | [--chain]] [--time] [--msg-prefix=<STRING>]
    [--msg-suffix=<STRING>] [--no-messages] source-uri
    [stylesheet-uri]...

## Options

Name | Description
--- | ---
-h, --help | show detailed help message
-V, --version | display version information and exit
-v, --validate | Validate the input file as it is being parsed
-i, --ignore | Ignore <?xml-stylesheet ...?> instructions
--media=<MEDIA> | Set media to honor in xml-stylesheet PIs
-D, --define=<NAME=VALUE> | Bind a top-level parameter
-P, --prefix=<PREFIX=NSURI> | Assign a namespace to a prefix used in a top-level parameter
-I, --alt-sty-path=<PATH> | Same as --alt-sty-uri but uses OS path
--alt-sty-uri=<URI> | Define an add'l base URI for imports and includes
-o, --outfile=<FILE> | Direct transformation output to FILE (file will be overwritten if it exists)
-e, --stacktrace-on-error | Display a stack trace when an error occurs
--noxinclude | Do not expand XIncludes in source document and stylesheet
--trace | Send execution trace output to stderr or file set by --trace-file
--trace-file=<FILE> | Trace file for execution trace output when using --trace
--reflex | Reflexive transform (use the stylesheet as the source document).
--compile | Compile an instant stylesheet. The result is written to stdout, unless -o is used.
--instant | The stylesheet is "instant" (compiled). Only one stylesheet can be specified with this option.
--chain | Chain the stylesheets (result of transforming with the first is the source document for transforming with the second, and so on). Without this option, each extra stylesheet is imported by the preceding one.
--time | Display the elapsed transformation time on stderr
--msg-prefix=<STRING> | Prepend string to xsl:message output
--msg-suffix=<STRING> | Append string to xsl:message output
--no-messages | Suppress xsl:message output and warnings

## Arguments

Name | Description
--- | ---
source-uri | The URI of the XML document to transform, or "-" to indicate standard input. If using --reflex, it is also the stylesheet. If using --compile, it is the stylesheet to compile.
stylesheet-uri | The URI(s) of the stylesheet(s) to apply.